Subject: Re: [PATCH] net/core: Export dev_core_stats_rx_dropped_inc sets

From: "Yajun Deng" <[email-masked]>
Date: Tue, 12 Sep 2023 01:42:29 +0000

September 12, 2023 at 12:15 AM, "Stephen Hemminger" <[email-masked]> wrote:

> 
> On Mon, 11 Sep 2023 16:20:16 +0800
> Yajun Deng <[email-masked]> wrote:
> 
> > 
> > Although there is a kfree_skb_reason() helper function that can be
> >  used to find the reason for dropped packets, but most callers didn't
> >  increase one of rx_dropped, tx_dropped, rx_nohandler and
> >  rx_otherhost_dropped.
> >  
> >  For the users, people are more concerned about why the dropped in
> >  ifconfig is increasing. So we can export
> >  dev_core_stats_rx_dropped_inc sets, which users would trace them know
> >  why rx_dropped is increasing.
> > 
> 
> ifconfig has been frozen for over 10 years, and is deprecated so there
> is no point in catering to legacy api's. There are better API's such as
> ethtool and netlink that can provide more info.
>
Yes, ifconfig is deprecated. but the dropped in ifconfig and ip is the same.
We're more concerned about the reason for dropped packets.
ip, ethtool and netlink couldn't show the reason.